org.jbpm.process.audit.strategy

## Class SpringStandaloneJtaSharedEntityManagerStrategy

- java.lang.Object
- - org.jbpm.process.audit.strategy.StandaloneJtaStrategy
  - - org.jbpm.process.audit.strategy.SpringStandaloneJtaSharedEntityManagerStrategy

- All Implemented Interfaces:
    PersistenceStrategy

      public class SpringStandaloneJtaSharedEntityManagerStrategy
      extends StandaloneJtaStrategy

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.process.audit.strategy.StandaloneJtaStrategy

      `emf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManager em)`
    `SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManagerFactory emf)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.persistence.EntityManager` | `getEntityManager()`
    `Object` | `joinTransaction(javax.persistence.EntityManager em)`
    `void` | `leaveTransaction(javax.persistence.EntityManager em, Object transaction)`

    - ### Methods inherited from class org.jbpm.process.audit.strategy.StandaloneJtaStrategy

      `commitTransaction, dispose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpringStandaloneJtaSharedEntityManagerStrategy

          public SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManagerFactory emf)

    - #### SpringStandaloneJtaSharedEntityManagerStrategy

          public SpringStandaloneJtaSharedEntityManagerStrategy(javax.persistence.EntityManager em)

  - ### Method Detail

    - #### getEntityManager

          public javax.persistence.EntityManager getEntityManager()

      Specified by:
        `getEntityManager` in interface `PersistenceStrategy`
      Overrides:
        `getEntityManager` in class `StandaloneJtaStrategy`

    - #### leaveTransaction

          public void leaveTransaction(javax.persistence.EntityManager em,
                                       Object transaction)

      Specified by:
        `leaveTransaction` in interface `PersistenceStrategy`
      Overrides:
        `leaveTransaction` in class `StandaloneJtaStrategy`

    - #### joinTransaction

          public Object joinTransaction(javax.persistence.EntityManager em)

      Specified by:
        `joinTransaction` in interface `PersistenceStrategy`
      Overrides:
        `joinTransaction` in class `StandaloneJtaStrategy`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.